Hotéis
Cancel a booking under its cancellation policy.
post/v1/hotels/bookings/{bookingId}/cancel
- Requer autenticação
- Requer Idempotency-Key
Parâmetros
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
| bookingId* | caminho | string |
Respostas
200OKHotelBooking
- bookingIdstring
- bookingReferencestringanulável
- statusstring
confirmed | pending | cancelled | unknown.
- hotelCodestringanulável
- hotelNamestringanulável
- cityNamestringanulável
- roomTypestringanulável
- checkInstringanulável
- checkOutstringanulável
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- amountstring
- currencystring
- refundablebooleananulável
- priceChangedboolean
- HolderInfo
- firstNamestring
- lastNamestring
- emailstring
- phonestring
- BookingRoom[]
- Guest[]
- specialRequestsstringanulável
- confirmedAtstring (date-time)anulável
Exemplos de código
Programas completos que assinam o pedido tal como o gateway o verifica. Substitua YOUR_KEY_ID e YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X POST "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Accept: application/json"